Nebulae_Bowed_Drone_V1.1.csd 
for the Qu-Bit Electronix Nebulae Eurorack module
www.qubitelectronix.com

Bowed_Drone was made for evolving drones with bowed string qualities.

April 7, 2015

Collin Russell
collinrussellmusic.com
collinrussell0912@gmail.com

<CsoundSynthesizer>
<CsOptions>

-odac
--sched
-d
-+rtaudio=alsa
-Ma
-b512
-B1024
-m 0

</CsOptions>
<CsInstruments>

sr	 = 22050	
ksmps	 = 64
nchnls = 1
0dbfs	 = 1

instr 1	
	
	ksystem system 1, "umount /dev/sda1 " ; unmounts flash drive
	ksystem system 1, "/home/scripts/fileLoadFeedback" ; tells arduino .csd loaded (This MUST be called)
	ksystem system 1, "/home/scripts/state_change pause" 
	ksystem system 1, "/home/scripts/state_change loop" 
	
	kutility ctrl7 1, 23, 0, 127

	; Resonance (Speed)
	kres ctrl14 1, 1, 2, 0, 0.8

	; Pitch
	kpitch ctrl14 1, 15, 16, 6, 11
	
	; Make pitch 1V/Octave
	kpitch pow 2, kpitch
	
	; Glide
	kglide ctrl7 1, 70, 0, 0.175
	kpitch portk kpitch, kglide

	; Cutoff Frequency (Mix)
	;initc7 1, 8, 1
	kfco ctrl7 1, 8, 20, 6000
	
	; Pressure (Grain Rate)
	kpres ctrl7 1, 5, 1, 5

	; Position (Grain Size)
	krat ctrl7 1, 4, 0.025, 0.23
	
	; Vibrato Frequency (Loop Start)
	kvibf ctrl14 1, 9, 10, 0, 10

	; Vibrato Amplitude (Loop Size)
	kvamp ctrl14 1, 11, 12, 0, .05
	
	; Initialize Amplitde
	kamp = 0.95
	
	; Amplitude On/Off
	if (kutility == 1) then ; Amplitude is on

		kamp = 0

	elseif (kutility ==2) then ; Amplitude is off

		kamp = 0.95

	endif

  	; Load new files or .csd
  	if (kutility == 23) then
    		ksystem system 1, "echo 3 > /var/tmp/start_flag"
    		event "e", 0, 0, 0
	endif
	
	; go to next .csd
	if (kutility == 24) then
    		ksystem system 1, "echo 1 > /var/tmp/start_flag"
    		event "e", 0, 0, 0
	endif

     asig wgbow kamp, kpitch, kpres, krat, kvibf, kvamp, 1         ; Bowed string
     afilt moogladder asig, kfco, kres                             ; Moog-style ladder filter 
     out afilt                                                     ; Mono output

endin

</CsInstruments>
<CsScore>
;F#	LdTm	Size	GEN	Val
;~~~~~~~~~~~~~~~~~~~~~~~~~
f1 	0 	4096 	10 	1     ;Sine Wave

;Inst	     Strt	      Dur
;~~~~~~~~~~~~~~~~~~~~~~~~~~
i1 0 $INF
</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>100</x>
 <y>100</y>
 <width>320</width>
 <height>240</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
</bsbPanel>
<bsbPresets>
</bsbPresets>
